Scilab Function
Last update : 16/06/2004

secto3d - conversion de surfaces 3D

### Calling Sequence

  `[m[,x]]=secto3d(seclist,npas)`
  `[m]=secto3d(seclist ,x)`

### Parameters

- `seclist` : une liste dont les éléments sont des matrices (2,.)
- `npas` : un entier
- `m` : une matrice
- `x` : un vecteur

### Description

Considérant une surface donnée sous forme d'une liste `seclist` de sections dans le plan `(x,z)` la commande `[m [,x]]=secto3d(seclist [,npas])` renvoie une matrice `m` contenant une discrétisation régulière de la surface.

  -La i-ème ligne de la matrice m correspond à la ième section
  -La j-ième colonne de m correspond aux x(j)

Chaque section `seclist(i)` est décrite par une matrice (2,.) donnant respectivement les coordonnées x et z des points.

`[m]=secto3d(seclist ,x)` : dans ce cas le vecteur x donne la discrétisation de l'axe des x pour toutes les sections

### See Also

`plot3d`,

### Author

Steer S.; ;